Bug 137858 - missing return statement
Summary: missing return statement
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-02 09:44 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 14:17:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2004-11-02 09:44:07 UTC
Description of problem:

I just tried to compile package postfix-2.1.4-1 from 
Redhat Fedora Core 3 Test 3.

The compiler said

own_inet_addr.c(222): warning #1011: missing return statement at end
of non-void function "own_inet_addr"

What happens if the function executes all of the for loop, and falls
off the end of the function ?

Suggest add return statement at the end of the routine.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Thomas Woerner 2005-03-18 14:17:42 UTC
Fixed in rawhide in rpm postfix-2.2.1-1 or newer.


Note You need to log in before you can comment on or make changes to this bug.